<?php

/*******************************************
* SimpleTickers
* Version 1.5
* � mamavrn.ru
* License - http://creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0
********************************************
* img.php
*******************************************/

header("Content-type: image/png");
header("Cache-Control: public, max-age=86400, s-maxage=86400"); 

global $modSettings, $txt, $smcFunc, $sourcedir, $boarddir;

require_once(dirname(__FILE__) . '/../SSI.php');

if(isset($_GET['pa']))
{
	$l='1a.png';
	$b='01.png';
	$d='11,11,2011';
	$text=$txt['simpletickers_notfound'];
	$fontname='LiberationMono-Regular';
	$c='000000';
	if (preg_match("/^[a-zA-Z0-9_]{4,20}$/",$_GET['pa'])) 
	{
		$dbresult = $smcFunc['db_query']('', "
		SELECT LINE, BEG, STARTDATE, FONT, COLOR, CAPT FROM {db_prefix}tickers
		WHERE RANDOMURL={text:pa} 
		LIMIT 1",
		array(
			'pa' => $_GET['pa'],
			)
		);
		while ($row = $smcFunc['db_fetch_assoc']($dbresult))
		{
			$l=$row['LINE'];
			$b=$row['BEG'];
			$d=$row['STARTDATE'];
			$text=$row['CAPT'];
			$fontname=$row['FONT'];
			$c=$row['COLOR'];
		}
		$smcFunc['db_free_result']($dbresult);
	}
}
else
{
	if(isset($_GET['l'])) $l=$_GET['l']; else $l='1a.png';
	if(isset($_GET['b'])) $b=$_GET['b']; else $b='01.png';
	if(isset($_GET['d'])) $d=$_GET['d']; else $d='11,11,2011';
	if(isset($_GET['t'])) $text=$_GET['t']; else  $text='';
	if(isset($_GET['f'])) $fontname=$_GET['f']; else $fontname='LiberationMono-Regular';
	if(isset($_GET['c'])) $c=$_GET['c']; else $c='000000';
}

if ((@fopen($boarddir.'/SimpleTickers/scenies/'.$l, "r"))&&(@fopen($boarddir.'/SimpleTickers/sliders/'.$b, "r"))&&(@fopen($boarddir.'/SimpleTickers/fonts/'.$fontname.'.ttf', "r")))
{
	$line=imagecreatefrompng($boarddir.'/SimpleTickers/scenies/'.$l);
	$beg=imagecreatefrompng($boarddir.'/SimpleTickers/sliders/'.$b);
	$line_sx=imagesx($line);
	$line_sy=imagesy($line);
	$beg_sx=imagesx($beg);
	$beg_sy=imagesy($beg);
	$out_h=($line_sy<$beg_sy)?$beg_sy:$line_sy;
	$out=imagecreatetruecolor($line_sx,$out_h+15);
	setTransparency($out, $line); 
	imagecopy($out,$line,0,$out_h-$line_sy ,0,0,$line_sx,$line_sy);
	$pixpm=$line_sx/12;
	$date=explode(",",$d);
	$fontcolor=hex2RGB($c);
	$capt = diff($date[0],$date[1],$date[2]);
	$beg_x=$capt[1]*$pixpm;
	if (!isset($modSettings['simpletickers_encoding'])) $modSettings['simpletickers_encoding'] = 'utf-8';
	if ($modSettings['simpletickers_encoding'] == 'cp-1251')
	{
		$text = iconv("windows-1251", "utf-8", $text);
		$capt[0] = iconv("windows-1251", "utf-8", $capt[0]);
	}
	imagefttext($out,10,0,10,$out_h+10,imagecolorallocate($out,$fontcolor['red'],$fontcolor['green'],$fontcolor['blue']),'fonts/'.$fontname.'.ttf', $text.' '.$capt[0]);
	imagecopy($out,$beg,$beg_x,15,0,0,$beg_sx,$beg_sy);
	ImageDestroy($line);
	ImageDestroy($beg);
} 
else $out=imagecreatefrompng($boarddir.'/SimpleTickers/error.png');
imagepng($out);
ImageDestroy($out);
?>