<?php

/*******************************************
* SimpleTickers
* Version 1.5
* В© mamavrn.ru
* License - http://creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0
********************************************
* SimpleTickers.template.php
*******************************************/

function template_main()
{

	global $txt, $modSettings, $boardurl, $sourcedir,  $scripturl, $context;

	$lines=glob("SimpleTickers/scenies/*.png");
	$begs=glob("SimpleTickers/sliders/*.png");
	$fonts=glob("SimpleTickers/fonts/*.png");

	if (!isset($modSettings['simpletickers_version'])) $modSettings['simpletickers_version'] = $txt['simpletickers_unknownver'];

	// Catbg header
	echo '<div class="cat_bar">
   			<h3 class="catbg">', $txt['simpletickers'], '</h3>
	</div>';

	// Windowbg2 Content
	echo '<div class="windowbg2">
  			<span class="topslice"><span></span></span>
  		  		<div class="content">'; 


if(isset($context['fullurl']))
{
	echo '<br />';
	echo '<p><strong>',$txt['simpletickers_complete'],'</strong></p><br /><p>',$txt['simpletickers_complete2'],'</p>
		<p><textarea rows="10" cols="45" name="text">[url=',$boardurl,'][img]',$context['fullurl'],'[/img][/url]</textarea>&nbsp;<img src="',$context['fullurl'],'" alt="',$txt['simpletickers_yourline'],'" /></p>
		<br />
		<br />
		<form action="',$scripturl,'?action=simpletickers" method="post">
			<input type="button" value="&laquo; ',$txt['simpletickers_back'],'" onclick="history.go(-1);" />
		</form>';
}
else
{
	echo '
		<form action="',$scripturl,'?action=simpletickers" method="post">
		<input name="action" value="simpletickers" type="hidden"/>
		<p><strong>1. ',$txt['simpletickers_background'],'</strong></p><br />
		<table>';
	$i=0;
	if (!isset($modSettings['simpletickers_linecolcount']))
		$modSettings['simpletickers_linecolcount'] = '2';
	$colcount = (int)$modSettings['simpletickers_linecolcount'];
	if ($colcount == 0) $colcount = 1;
	$ch = false;
	foreach($lines as $line)
	{ 
		if(!($i % $colcount)) echo '<tr>';
		echo '<td>
			<input name="l" type="radio" ',$ch ? ' ':' checked="checked" ','value="',basename($line),'"/> <img src="',$line,'" alt="" border="0" /><br />
			</td>';
		$ch = true;
		$i++; 
		if (!($i % $colcount)) echo '</tr>';
	}
	echo '
		</table>
		<br />
		<p><strong>2. ',$txt['simpletickers_begunok'],'</strong></p> 
		<br />
		<br />
		<table>';
	$i=0; 
	if (!isset($modSettings['simpletickers_begcolcount'])) $modSettings['simpletickers_begcolcount'] = '7';
	$colcount=(int)$modSettings['simpletickers_begcolcount'];
	if ($colcount == 0) $colcount = 1;
	$ch = false;
	foreach($begs as $beg)
	{
		if(!($i % $colcount)) echo '<tr>';
		echo '
			<td>
			<input name="b" type="radio"',$ch ? ' ':' checked="checked" ','value="',basename($beg),'" /> <img src="',$beg,'" alt="" border="0" />
			</td>';
		$ch = true;
		$i++;
		if (!($i % $colcount)) echo '</tr>';
	}
	echo '
		</table>
		<br />
		<p><strong>3. ',$txt['simpletickers_caption'],'</strong></p><br />
		<input name="t" type="text" value="" id="tx" />   <br />',
		$txt['simpletickers_choosecaption'],'<select onchange="document.getElementById(\'tx\').value=this.options[this.selectedIndex].value">';
		if (!isset($modSettings['simpletickers_captions'])) $modSettings['simpletickers_captions'] = '';
		foreach(explode("\n", $modSettings['simpletickers_captions']) as $sl)
  			echo '<option value="',$sl,'">',$sl,'</option>';
		echo '
			</select><br />
			<br />
			<p><strong>4. ',$txt['simpletickers_font'],'</strong></p><br />
			<br />';
		$ch=false;
		foreach($fonts as $font)
		{
			echo '
				<input name="f" type="radio" ',$ch ? ' ':' checked="checked" ','value="',basename($font, '.png'),'" /> <img src="',$font,'" alt="" border="0" /><br />';
			$ch=true;
		}
		echo '
			<br />
			<br />
			<p><strong>5. ',$txt['simpletickers_fontcolor'],'</strong></p><br />',
			$txt['simpletickers_color'],':<select name="color">
			 <option selected="selected" value="000000" style="color: black">',$txt['simpletickers_black'],'</option>',
			'<option value="00ffff" style="color: aqua">',$txt['simpletickers_aqua'],'</option>',
			'<option value="808080" style="color: gray">',$txt['simpletickers_gray'],'</option>',
			'<option value="000080" style="color: navy">',$txt['simpletickers_navy'],'</option>',
			'<option value="c0c0c0" style="color: silver">',$txt['simpletickers_silver'],'</option>',
			'<option value="008000" style="color: green">',$txt['simpletickers_green'],'</option>',
			'<option value="808000" style="color: olive">',$txt['simpletickers_olive'],'</option>',
			'<option value="008080" style="color: teal">',$txt['simpletickers_teal'],'</option>',
			'<option value="0000ff" style="color: blue">',$txt['simpletickers_blue'],'</option>',
			'<option value="008000" style="color: lime">',$txt['simpletickers_lime'],'</option>',
			'<option value="808000" style="color: purple">',$txt['simpletickers_purple'],'</option>',
			'<option value="ff00ff" style="color: fuchsia">',$txt['simpletickers_fuchsia'],'</option>',
			'<option value="800000" style="color: maroon">',$txt['simpletickers_maroon'],'</option>',
			'<option value="ff0000" style="color: red">',$txt['simpletickers_red'],'</option>',
			'<option value="ffff00" style="color: yellow">',$txt['simpletickers_yellow'],'</option>',
			'</select>
			<br />
			<br />
			<p><strong>6. ',$txt['simpletickers_begin'],'</strong></p><br />
			<select name="d">
			<option selected="selected" value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
			<option value="11">11</option>
			<option value="12">12</option>
			<option value="13">13</option>
			<option value="14">14</option>
			<option value="15">15</option>
			<option value="16">16</option>
			<option value="17">17</option>
			<option value="18">18</option>
			<option value="19">19</option>
			<option value="20">20</option>
			<option value="21">21</option>
			<option value="22">22</option>
			<option value="23">23</option>
			<option value="24">24</option>
			<option value="25">25</option>
			<option value="26">26</option>
			<option value="27">27</option>
			<option value="28">28</option>
			<option value="29">29</option>
			<option value="30">30</option>
			<option value="31">31</option>
			</select>',
			$txt['simpletickers_month'],' <select name="m">
			<option selected="selected" value="1">',$txt['simpletickers_January'],'</option>',
			'<option value="2">',$txt['simpletickers_February'],'</option>',
			'<option value="3">',$txt['simpletickers_March'],'</option>',
			'<option value="4">',$txt['simpletickers_April'],'</option>',
			'<option value="5">',$txt['simpletickers_May'],'</option>',
			'<option value="6">',$txt['simpletickers_June'],'</option>',
			'<option value="7">',$txt['simpletickers_July'],'</option>',
			'<option value="8">',$txt['simpletickers_August'],'</option>',
			'<option value="9">',$txt['simpletickers_September'],'</option>',
			'<option value="10">',$txt['simpletickers_October'],'</option>',
			'<option value="11">',$txt['simpletickers_November'],'</option>',
			'<option value="12">',$txt['simpletickers_December'],'</option>',
			'</select>',
			$txt['simpletickers_Year'],'<input type="text" name="y" size="5" value="',date('Y'),'" /><br />
			<br />
			<input type="submit" value="',$txt['simpletickers_next'],' &raquo;" />
			</form>';
		}
	echo 
		'</div>
		<span class="botslice"><span></span></span>
		</div><br />
		<br />
		<br />
		<br />
		<br />
		<hr class="smfbay_hr" />
		<center><span class="middletext">', str_replace('{version}', $modSettings['simpletickers_version'], $txt['simpletickers_copyright']), '</span></center>';

}